Name:           perl-NetAddr-IP
Version:        4.007
Release:        2%{?dist}
Summary:        Manages IPv4 and IPv6 addresses and subnets
License:        Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/NetAddr-IP/
Source0:        http://www.cpan.org/modules/by-module/NetAddr/NetAddr-IP-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker), perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module provides an object-oriented abstraction on top of IP addresses
or IP subnets, that allows for easy manipulations. Version 4.xx of
NetAdder::IP will will work older versions of Perl and does not use
Math::BigInt as in previous versions.

%prep
%setup -q -n NetAddr-IP-%{version}

# Fix UTF-8
iconv -f ISO_8859-1 -t UTF-8 -o tmp.pm IP.pm &&
mv -f tmp.pm IP.pm
iconv -f ISO_8859-1 -t UTF-8 -o tmp.pm Lite/Lite.pm &&
mv -f tmp.pm Lite/Lite.pm



%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO docs/rfc1884.txt
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/NetAddr*
%{_mandir}/man3/*

%changelog
* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> 4.007-2
- rebuild for new perl

* Tue Feb 12 2008 Andreas Thienemann <athienem@redhat.com> 4.007-1
- Updated to 4.007
- Rebuilt against gcc-4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 4.004-4
- Rebuild for selinux ppc32 issue.

* Tue Jul 10 2007 Andreas Thienemann <andreas@bawue.net> 4.004-3
- Fixed missing BR on rawhide

* Thu Apr 26 2007 Andreas Thienemann <andreas@bawue.net> 4.004-2
- Moar docs!

* Thu Apr 12 2007 Andreas Thienemann <andreas@bawue.net> 4.004-1
- Specfile autogenerated by cpanspec 1.69.1.
- Cleand up for FE
